Skip to navigation

List Order Metafields

Get all order metafields.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Order Transactionsread and modify transactions and payment_methodsstore_v2_transactions
Order Transactionsread transactions and payment_methodsstore_v2_transactions_read_only
Ordersread and modify payment_methodsstore_v2_orders
Ordersread payment_methodsstore_v2_orders_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Query parameters

pageintegerOptional

Specifies the page number in a limited (paginated) list of products.

limitintegerOptional

Controls the number of items per page in a limited (paginated) list of products.

keystringOptional

Filter based on a metafieldʼs key.

key:inlist of stringsOptional

Filter using a comma-separated list of metafield keys. Could be used with vanilla key query parameter.

namespacestringOptional

Filter based on a metafieldʼs key.

namespace:inlist of stringsOptional

Filter using a comma-separated list of metafield namespaces. Can be used with vanilla namespace query parameter.

directionenumOptional

Sort direction. Acceptable values are: asc, desc.

Allowed values:
include_fieldslist of enumsOptional

Fields to include, in a comma-separated list. The ID and the specified fields will be returned.

date_createdstringOptional

Filter items by date created. For example, date_created=2019-09-04T00:00:00. Returns metafields created on this date.

date_modifiedstringOptional

Filter items by date modified. For example, date_modified=2019-09-04T00:00:00. Returns metafields modified on this date.

date_created:minstringOptional

Filter items by minimum date created. For example, date_created:min=2019-09-04T00:00:00 or date_created:min=2019-09-04. Returns metafields created after this date.

date_created:maxstringOptional

Filter items by maximum date created. For example, date_created:max=2019-09-04T00:00:00 or date_created:max=2019-09-04. Returns metafields created before this date.

date_modified:minstringOptional

Filter items by minimum date modified. For example, date_modified:min=2019-09-04T00:00:00 or date_modified:min=2019-09-04. Returns metafields modified after this date.

date_modified:maxstringOptional

Filter items by maximum date modified. For example, date_modified:max=2019-09-04T00:00:00 or date_modified:max=2019-09-04. Returns metafields modified before this date.

Response

List of Metafield objects.

datalist of objectsOptional
metaobjectOptional
Data about the response, including pagination and collection totals.